
#include "planche.h"
#include "conteneur.h"

conteneur::conteneur()
{

 //setFocusPolicy(QWidget::StrongFocus) ;

 _scrollview = new QScrollView( this ) ;
 _scrollview->setGeometry(0,0,width(),height()) ;
 _planche = new planche() ;
 _scrollview->addChild( _planche ) ;

}

/*
 *  Destroys the object and frees any allocated resources
 */
conteneur :: ~conteneur()
{
  delete _planche ;
}

void conteneur :: calculate() { _planche->calculate() ; }
void conteneur :: saveImage() { _planche->saveImage() ; }
void conteneur :: setBug(bool a)  { _planche->setBug(a) ; } 
void conteneur :: restart(int a,unsigned long  b, bool c) { _planche->restart( a,b,c ) ; }
void conteneur :: slotSizeChanged(int a) { _planche->sizeChanged(a) ; }
void conteneur :: setParameters(unsigned long p) { _planche->setParameters(p) ; }

void conteneur :: resizeEvent(QResizeEvent* e )
{
 _scrollview->setGeometry(0,0,width(),height()) ;
}





