#ifndef CONTENEUR_H
#define CONTENEUR_H

using namespace std ;

#include <iostream>
#include <cmath>

#include <qpainter.h>
#include <qpixmap.h>
#include <qwidget.h>
#include <qfiledialog.h>
#include <qmessagebox.h>


#include <qgroupbox.h>
#include <qpushbutton.h>
#include <qlabel.h>
#include <qspinbox.h>
#include <qbuttongroup.h>
#include <qcheckbox.h>
//#include <qslider.h>
#include <qcombobox.h>
#include <qlayout.h>
#include <qscrollview.h>

class QScrollView ;

class planche ;

class conteneur : public QWidget
{
    Q_OBJECT

public :
    conteneur();
    ~conteneur();
    void setParameters(unsigned long ) ;
    void restart(int,unsigned long,bool) ;
    void setBug(bool) ;
    void saveImage() ;
    void calculate() ;

private slots :
    void slotSizeChanged(int) ;

protected :
    virtual void resizeEvent(QResizeEvent* ) ;

private :

    QScrollView* _scrollview ;
    planche* _planche ;
};

#endif

